%RecipCal.m
%calculate solution to reciprocity calibration with syms
syms s T Tinv Trev Ze To Za Co R %A B C D % SRR added Trev
Yc=s*Co; 
T=[1 Ze;0 1]*[0 To; 1/To 0]*[1 Za; 0 1];
%T=[Ze/To To;1/To Za/To];
%A=Ze; B=To; C=1/To; D=Za;
%A=T(1,1); B=T(1,2); C=T(2,1); D=T(2,2);
DetT=det(T);
Tinv=inv(T);
Trev= (1/DetT)*[T(2,2) T(1,2); T(2,1) T(1,1)]; % SRR correct matrix to reverse ports, note det(T) = -1
Ca=[1 0; Yc 1];
M=simplify((T*Ca*Trev)); %M=simplify((T*Ca*Tinv));
%RDivsCo=simplify((DetT*T*Ca*Tinv)/(s*Co));
%MosCo=M/(s*Co); % SRR not sure why you divide by s*Co?
L=latex(M)% latex for R/CoTo
